#!/bin/sh
# ./build.sh ['install']
: "${SPREC_VERSION=$(git describe --long --abbrev=12 --tags --dirty 2>/dev/null || echo 0.1)}"
: "${SPREC_DESTDIR=}"
: "${SPREC_BINDIR=usr/local/bin}"

if [ "$*" != '' ] && [ "$*" != install ]; then
	echo bad usage
	exit 1
fi

if ! [ "$1" ]; then
	go build -ldflags "-X main.Version=$SPREC_VERSION" || exit
	echo Built Successfully.
else
	install -Dm755 sprec examples/sprec_type -t "$SPREC_DESTDIR/$SPREC_BINDIR" || exit
	mkdir -p "$SPREC_DESTDIR/usr/share/man/man1" || exit
	scdoc < doc/sprec.1.scd > "$SPREC_DESTDIR/usr/share/man/man1/sprec.1" || exit
	echo Installed Successfully.
fi
